# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "cala-ledger-core-types"
version = "0.5.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types for cala"
readme = false
license = "Apache-2.0"
repository = "https://github.com/GaloyMoney/cala"

[features]
fail-on-warnings = []
graphql = [
    "dep:es-entity",
    "dep:async-graphql",
]

[lib]
name = "cala_ledger_core_types"
path = "src/lib.rs"

[[bin]]
name = "cala-ledger-core-types"
path = "src/main.rs"

[dependencies.async-graphql]
version = "7.0.16"
features = [
    "dataloader",
    "tracing",
    "chrono",
    "playground",
]
optional = true
default-features = false

[dependencies.cel-interpreter]
version = "0.5.1"
package = "cala-cel-interpreter"

[dependencies.chrono]
version = "0.4.41"
features = [
    "clock",
    "serde",
]
default-features = false

[dependencies.derive_builder]
version = "0.20.1"

[dependencies.es-entity]
version = "0.5.1"
optional = true
package = "es-entity"

[dependencies.rust_decimal]
version = "1.37.1"

[dependencies.rusty-money]
version = "0.4"
features = [
    "iso",
    "crypto",
]

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.140"

[dependencies.sqlx]
version = "0.8.3"
features = [
    "runtime-tokio-rustls",
    "postgres",
    "rust_decimal",
    "uuid",
    "chrono",
    "json",
]

[dependencies.strum]
version = "0.26"
features = ["derive"]

[dependencies.thiserror]
version = "2.0.12"

[dependencies.uuid]
version = "1.16"
features = [
    "serde",
    "v4",
]
